> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Addon

> Get a specific addon by ID



## OpenAPI

````yaml GET /workspaces/{workspace_id}/addons/{addon_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/addons/{addon_id}:
    get:
      tags:
        - addons
      summary: Get addon
      description: Get a specific addon by ID
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Addon ID
          name: addon_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Addon'
        '404':
          description: Addon not found
components:
  schemas:
    models.Addon:
      type: object
      properties:
        addon_id:
          type: string
        code:
          type: string
        cxn_fields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/models.SpinCellParam'
        cxn_scheme:
          $ref: '#/components/schemas/models.SpinScheme'
        description:
          type: string
        name:
          type: string
        requirements:
          type: string
        tools:
          description: Map of tool name to Tool object
          type: object
          additionalProperties:
            $ref: '#/components/schemas/models.Tool'
    models.SpinCellParam:
      type: object
      properties:
        choices:
          description: used for dropdowns
          type: array
          items:
            type: string
        description:
          type: string
        label:
          type: string
        placeholder_value:
          description: used as placeholder for the UI, not necessarily a value
          type: string
        required:
          type: boolean
        runner_can_edit:
          description: ignore this when used by connection schemes
          type: boolean
        type:
          $ref: '#/components/schemas/models.SpinCellParamType'
        validation:
          type: string
        value:
          description: >-
            when used in connection schemes and stored books, this is the
            default value
          type: string
    models.SpinScheme:
      type: string
      enum:
        - ''
        - aws
        - azr
        - gcp
        - file
        - k8s
        - ddog
        - github
        - p8s
        - jenkins
        - grafana
        - splunk
        - shell
        - python
        - markdown
        - rest
      x-enum-varnames:
        - InvalidScheme
        - Aws
        - Azure
        - Gcp
        - File
        - KubeScheme
        - DatadogScheme
        - GithubScheme
        - Prometheus
        - JenkinsScheme
        - GrafanaScheme
        - SplunkScheme
        - ShellScheme
        - PythonScheme
        - MarkdownScheme
        - RestScheme
    models.Tool:
      type: object
      properties:
        tool_name:
          type: string
        tool_param_map:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/models.SpinCellParam'
    models.SpinCellParamType:
      type: string
      enum:
        - string
        - secret
        - number
        - bool
        - time
      x-enum-varnames:
        - CELLPARAMTYPE_STRING
        - CELLPARAMTYPE_SECRET
        - CELLPARAMTYPE_NUMBER
        - CELLPARAMTYPE_BOOL
        - CELLPARAMTYPE_EPOCHTIME
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````